libzypp: zyppng::UnixSignalSourcePrivate Class Reference

libzypp 17.38.8

zyppng::UnixSignalSourcePrivate Class Reference
Inheritance diagram for zyppng::UnixSignalSourcePrivate:

## Public Member Functions
| UnixSignalSourcePrivate (UnixSignalSource &p)
Public Member Functions inherited from zyppng::AbstractEventSourcePrivate
| AbstractEventSourcePrivate (AbstractEventSource &p)
Public Member Functions inherited from zyppng::BasePrivate
| BasePrivate (Base &b)
virtual | ~BasePrivate ()
virtual void | init ()

## Public Attributes
sigset_t | _orgSigMask
zypp::AutoFD | _signalFd
std::unordered_map< int, int > | _signalRefCount
Signal< void(int)> | _sigReceived
Public Attributes inherited from zyppng::AbstractEventSourcePrivate
std::weak_ptr< EventDispatcher > | _ev
Public Attributes inherited from zyppng::BasePrivate
Base::WeakPtr | parent
std::unordered_set< Base::Ptr > | children
std::unordered_map< uint32_t, zypp::AutoDispose< void * > > | _data
Base * | z_ptr = nullptr
std::thread::id | threadId = std::this_thread::get_id()

## Detailed Description

Definition at line 13 of file unixsignalsource.cpp.

## Constructor & Destructor Documentation

## ◆ UnixSignalSourcePrivate()

zyppng::UnixSignalSourcePrivate::UnixSignalSourcePrivate | ( | UnixSignalSource & | p | ) |
| inline

Definition at line 17 of file unixsignalsource.cpp.

## Member Data Documentation

## ◆ _orgSigMask

sigset_t zyppng::UnixSignalSourcePrivate::_orgSigMask

Definition at line 22 of file unixsignalsource.cpp.

## ◆ _signalFd

zypp::AutoFD zyppng::UnixSignalSourcePrivate::_signalFd

Definition at line 23 of file unixsignalsource.cpp.

## ◆ _signalRefCount

std::unordered_map<int, int> zyppng::UnixSignalSourcePrivate::_signalRefCount

Definition at line 24 of file unixsignalsource.cpp.

## ◆ _sigReceived

Signal<void (int)> zyppng::UnixSignalSourcePrivate::_sigReceived

Definition at line 25 of file unixsignalsource.cpp.

The documentation for this class was generated from the following file:

- zypp-core/ng/base/unixsignalsource.cpp